prow-presubmit: make kunit.py's unit tests not mark presubmits as failures

Since development on KUnit has moved to upstream, this hasn't been
running against KUnit changes.
And unfortunately that means the unit tests have been failing for some
longish stretches of time.

To make life less painful for people using backported versions of KUnit
(which might be missing some test-only fixes), don't show the output of
failing tests and don't report overall failure if the unit test failed.

It would be useful if the unit test was catching issues w/ inconsistent
backports, but it seems unlikely it even *could* catch many of these.

Also exclude the unit test output from the build log since it's quite
verbose and can be confusing since it prints out fake results, e.g.
FAILED (failures=1)
[22:07:34] ============================================================
[22:07:34] ======== [PASSED] sysctl_test ========
[22:07:34] [PASSED] sysctl_test_dointvec_null_tbl_data
[22:07:34] [PASSED] sysctl_test_dointvec_table_maxlen_unset
[22:07:34] [PASSED] sysctl_test_dointvec_table_len_is_zero
[22:07:34] [PASSED] sysctl_test_dointvec_table_read_but_position_set
[22:07:34] [PASSED] sysctl_test_dointvec_happy_single_positive
[22:07:34] [PASSED] sysctl_test_dointvec_happy_single_negative
[22:07:34] [PASSED] sysctl_test_dointvec_single_less_int_min
[22:07:34] [PASSED] sysctl_test_dointvec_single_greater_int_max
[22:07:34] ============================================================
[22:07:34] ======== [CRASHED] example ========
[22:07:34] [CRASHED] example_simple_test

The "CRASHED" in particular is likely very alarming to any user.

Change-Id: I8bce1a011051309c7b26b68cdd4ce4e6fb99126e
Signed-off-by: Daniel Latypov <dlatypov@google.com>
diff --git a/kunit.sh b/kunit.sh
index 3f3e97c..a081019 100755
--- a/kunit.sh
+++ b/kunit.sh
@@ -97,7 +97,7 @@
 if [[ $KUNIT_TEST_EXIT_CODE -ne 0 ]]; then
   echo "KUnit Tool Presubmit Failed:"
   echo "============================="
-  cat "$ARTIFACTS/kunit_test.log"
+  echo "This is likely *not* an issue with your patch. See artifacts/kunit_test.log under Artifacts for more details."
   echo "============================="
 fi
 
@@ -129,6 +129,4 @@
 cat "$ARTIFACTS/kunit.log"
 echo "============================="
 
-if [[ $KUNIT_TEST_EXIT_CODE -ne 0 || $KUNIT_EXIT_CODE -ne 0 ]]; then
-  exit 1
-fi
+exit $KUNIT_EXIT_CODE